#!/bin/bash

# Configure Environment...
export JAVA_HOME=/usr/jdk118

# A JAVA 2 environment.
if [ -f "$JAVA_HOME/jre/lib/rt.jar" ]; then
	export CLASSPATH=$JAVA_HOME/jre/lib/rt.jar
else # For a Java 1.1.x environment.
	export CLASSPATH=$JAVA_HOME/lib/classes.zip
fi

export CLASSPATH=$CLASSPATH:multipartrequest.jar
export CLASSPATH=$CLASSPATH:.

$JAVA_HOME/bin/java \
        -DREQUEST_METHOD="$REQUEST_METHOD" \
        -DQUERY_STRING="$QUERY_STRING" \
        -DHTTP_CONNECTION="$HTTP_CONNECTION" \
        -DHTTP_USER_AGENT="$HTTP_USER_AGENT" \
        -DHTTP_COOKIE="$HTTP_COOKIE" \
        -DHTTP_ACCEPT="$HTTP_ACCEPT" \
        -DHTTP_ACCEPT_CHARSET="$HTTP_ACCEPT_CHARSET" \
        -DHTTP_ACCEPT_LANGUAGE="$HTTP_ACCEPT_LANGUAGE" \
        -DHTTP_HOST="$HTTP_HOST" \
        -DREQUEST_METHOD="$REQUEST_METHOD" \
        -DCONTENT_LENGTH="$CONTENT_LENGTH" \
        -DCONTENT_TYPE="$CONTENT_TYPE" \
        -DGATEWAY_INTERFACE="$GATEWAY_INTERFACE" \
        -DSERVER_PORT="$SERVER_PORT" \
        -DSERVER_SOFTWARE="$SERVER_SOFTWARE" \
        -DSERVER_PROTOCOL="$SERVER_PROTOCOL" \
        -DSERVER_NAME="$SERVER_NAME" \
        -DREMOTE_ADDR="$REMOTE_ADDR" \
        -DSCRIPT_NAME="$SCRIPT_NAME" \
        -DSCRIPT_FILENAME="$SCRIPT_FILENAME" \
		-DCONFIG_DIR="$CONFIG_DIR" \
`basename $0 .cgi`
