import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;

import java.util.Enumeration;

import http.utils.multipartrequest.CgiMultipartRequest;
import http.utils.multipartrequest.MultipartRequest;

/**
	Test upload of files into memory.  This cgi java app reproduces the normal
	function of the MultipartRequest by copying the memory file contents to a the
	physical upload directory, but it does demonstrate the flexibility.
*/
public class testMemoryUpload
{
    public static void main (String args[])
	{
		try
		{
			System.out.println("Content-Type: text/html\n\n");
			System.out.println("<h1>Upload Results</h1>");
			
			MultipartRequest parser = new CgiMultipartRequest(MultipartRequest.MAX_READ_BYTES);
			System.out.println(parser.getHtmlTable());

			for (Enumeration e = parser.getFileParameterNames() ; e.hasMoreElements() ;)
			{
				String name = (String) e.nextElement();
				InputStream in = parser.getFileContents(name);
				if (in!=null)
				{
					BufferedInputStream input = new BufferedInputStream(in);
					FileOutputStream file = new FileOutputStream(new File("/home/jpell/upload", parser.getBaseFilename(name)));
				
					// Now copy contents of file - not efficient but easy!!!
					int c;
					while ( (c=input.read())!=-1)
						file.write(c);

					file.close();
					input.close();
				}
			}
		}
		catch (Exception e)
		{
			e.printStackTrace(System.out);

		}
	}
}
