import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServlet;

import java.io.BufferedInputStream;
import java.io.PrintWriter;
import java.io.IOException;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.util.Enumeration;

import http.utils.multipartrequest.ServletMultipartRequest;
import http.utils.multipartrequest.MultipartRequest;

/**
	Test upload of files into memory.  This servlet reproduces the normal
	function of the MultipartRequest by copying the memory file contents to a the
	physical upload directory, but it does demonstrate the flexibility.
*/
public class testMemoryUpload extends HttpServlet
{
    public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
    {
		PrintWriter objOut = null;
		try
		{
			objOut = response.getWriter();
        	response.setContentType("text/html");

			MultipartRequest parser = new ServletMultipartRequest(request,
																MultipartRequest.MAX_READ_BYTES,
																MultipartRequest.IGNORE_FILES_IF_MAX_BYES_EXCEEDED,
																null);
			objOut.println(parser.getHtmlTable());

			for (Enumeration e = parser.getFileParameterNames() ; e.hasMoreElements() ;)
			{
				String name = (String) e.nextElement();
				InputStream in = parser.getFileContents(name);
				if (in!=null)
				{
					BufferedInputStream input = new BufferedInputStream(in);
					FileOutputStream file = new FileOutputStream(new File("c:/temp", parser.getBaseFilename(name)));

					// Now copy contents of file - not efficient but easy!!!
					int read;
					byte[] buffer = new byte[4096];
					while ( (read=input.read(buffer))!=-1)
					{
						file.write(buffer, 0, read);
					}
					file.close();
					input.close();
				}
			}
		}
		catch (Exception e)
		{
			e.printStackTrace(objOut);

		}
		objOut.flush();
	}
}
